MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000764XdebugInstallationpublic2011-12-30 04:232012-04-22 14:48
ReporterChowarmaan 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindows 7OSHome PremiumOS Version
Product Version2.1.0 
Target Version2.2.0Fixed in Version2.2.0RC2 
Summary0000764: Tailored Installation instructions do not work.
DescriptionWhen using the default installation path for PHP, errors are encountered when processing the C:\Program Files (x86)\PHP directories. The extension instructions then have an incorrect path to the extension and other installation options. The pathing is not parsed correctly, once the space in the path is encountered.

Tailored Installation Instructions
Summary
Xdebug installed: no
Server API: Command Line Interface
Windows: yes - Compiler: MS VC9 - Architecture: x86
Zend Server: no
PHP Version: 5.3.8
Zend API nr: 220090626
PHP API nr: 20090626
Debug Build: no
Thread Safe Build: yes
Configuration File Path: C:\Windows
Configuration File: C:\Program Files (x86)\PHP\php.ini
Extensions directory: C:\Program
Instructions

    Download php_xdebug-2.1.2-5.3-vc9.dll
    Move the downloaded file to C:\Program
    Edit C:\Program Files (x86)\PHP\php.ini and add the line
    zend_extension = C:\Program\php_xdebug-2.1.2-5.3-vc9.dll
Steps To ReproducePaste a standard PHPInfo() output into the window then process the file. The main path for the Configuration File is found correctly, as C:\Program Files (x86)\PHP, but subsequent fields using this value are incorrect, and show C:\Program\, failing to parse after the space.

<subset>

Thread Safe Build: yes
Configuration File Path: C:\Windows
Configuration File: C:\Program Files (x86)\PHP\php.ini
Extensions directory: C:\Program
Instructions

    Download php_xdebug-2.1.2-5.3-vc9.dll
    Move the downloaded file to C:\Program
    Edit C:\Program Files (x86)\PHP\php.ini and add the line
    zend_extension = C:\Program\php_xdebug-2.1.2-5.3-vc9.dll

TagsNo tags attached.
Operating SystemWindows 7 Home Premium
PHP Version5.3.10
Attached Files

- Relationships
has duplicate 0000712resolvedderick Installation instructions not valid 
has duplicate 0000691resolvedderick install dir C:\Program problematic ? 
has duplicate 0000612resolvedderick find-binary issues with whitespace 

-  Notes
(0002007)
derick (administrator)
2012-03-24 15:44

Fixed I hope, please try it. If it doesn't work, please attach what you paste into the web form as a text file to this issue for me to try.
(0002015)
Chowarmaan (reporter)
2012-03-26 15:18

I tried this and it worked with the zend_extension=\php_xdebug...
(0002018)
derick (administrator)
2012-03-26 20:31

I've tried once more :-) Can you test the wizard again?
(0002019)
Chowarmaan (reporter)
2012-03-26 20:41

Perfect. Complete path is provided.

•Xdebug installed: 2.1.3
•Server API: CGI/FastCGI
•Windows: yes - Compiler: MS VC9 - Architecture: x86
•Zend Server: no
•PHP Version: 5.3.10
•Zend API nr: 220090626
•PHP API nr: 20090626
•Debug Build: no
•Thread Safe Build: yes
•Configuration File Path: C:\Windows
•Configuration File: C:\Program Files (x86)\PHP\php.ini
•Extensions directory: C:\Program Files (x86)\PHP\ext

Instructions
1.Download php_xdebug-2.1.4-5.3-vc9.dll
2.Move the downloaded file to "C:\Program Files (x86)\PHP\ext"
3.Update C:\Program Files (x86)\PHP\php.ini and change the line
zend_extension = "C:\Program Files (x86)\PHP\ext\php_xdebug-2.1.4-5.3-vc9.dll"
4.Restart the webserver
(0002020)
derick (administrator)
2012-03-26 20:42

All right. Closing then. Cheers!

- Issue History
Date Modified Username Field Change
2011-12-30 04:23 Chowarmaan New Issue
2012-03-12 16:23 derick Relationship added has duplicate 0000712
2012-03-12 16:25 derick Target Version => 2.2.0
2012-03-12 16:27 derick Relationship added has duplicate 0000691
2012-03-12 16:35 derick Relationship added has duplicate 0000612
2012-03-24 15:44 derick Note Added: 0002007
2012-03-24 15:44 derick Status new => closed
2012-03-24 15:44 derick Assigned To => derick
2012-03-24 15:44 derick Resolution open => fixed
2012-03-26 15:16 Chowarmaan PHP Version 5.3.8 => 5.3.10
2012-03-26 15:16 Chowarmaan Note Added: 0002014
2012-03-26 15:16 Chowarmaan Status closed => feedback
2012-03-26 15:16 Chowarmaan Resolution fixed => reopened
2012-03-26 15:17 Chowarmaan Note Deleted: 0002014
2012-03-26 15:18 Chowarmaan Note Added: 0002015
2012-03-26 15:18 Chowarmaan Status feedback => assigned
2012-03-26 20:31 derick Note Added: 0002018
2012-03-26 20:41 Chowarmaan Note Added: 0002019
2012-03-26 20:42 derick Note Added: 0002020
2012-03-26 20:42 derick Status assigned => closed
2012-03-26 20:42 derick Resolution reopened => fixed
2012-04-22 14:48 derick Fixed in Version => 2.2.0RC2


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker